Manager/Controllers/P_InfoController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using DataLayer;
using DomainClass;
using Manager.Helpers;

namespace Manager.Controllers
{
    [CustomAuthorize(Roles = "User")]
    public partial class P_InfoController : Controller
    {
        private DataBaseContext db = new DataBaseContext();
        // GET: P_Info
        public virtual ActionResult Index()
        {
            var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
            var p_Infos = db.P_Infos.Include(p => p.User).Where(p=>p.ID==ID);
            return View(p_Infos.ToList());
        }

        // GET: P_Info/Details/5
        public virtual ActionResult Details(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            P_Info p_Info = db.P_Infos.Find(id);
            if (p_Info == null)
            {
                return HttpNotFound();
            }
            return View(p_Info);
        }

        // GET: P_Info/Create
        public virtual ActionResult Create()
        {
            //ViewBag.ID = new SelectList(db.Users, "ID", "Lname");
            return View();
        }

        // POST: P_Info/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public virtual ActionResult Create([Bind(Include = "Lname,Fname,FaName,BDate,T_Ostan,T_Shahrestan,T_Bakhsh,ShSh,S_Ostan,S_Shahrestan,S_Bakhsh,Jensiat,Din,Tahol,Email,Fax,Mobile,Tell,Code,NezamVazife,Razmandeh,ModatJebhe,Azadeh,ModatJebheGh,Janbaz,MizanJanbazi,ModatEsarat,Shahid,TedadShahid,BasijFal,NesbatShahid")] P_Info p_Info)
        {
            if (ModelState.IsValid)
            {
                var ID = Convert.ToInt64(db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).ID);
                p_Info.ID = ID;
                p_Info.ShMeli = db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).UserName;
                p_Info.ModatJebhe = p_Info.ModatJebhe == null ? 0 : p_Info.ModatJebhe;
                p_Info.ModatJebheGh = p_Info.ModatJebheGh == null ? 0 : p_Info.ModatJebheGh;
                p_Info.MizanJanbazi = p_Info.MizanJanbazi == null ? 0 : p_Info.MizanJanbazi;
                p_Info.ModatEsarat = p_Info.ModatEsarat == null ? 0 : p_Info.ModatEsarat;
                p_Info.TedadShahid = p_Info.TedadShahid == null ? 0 : p_Info.TedadShahid;
                p_Info.BasijFal = p_Info.BasijFal == null ? 0 : p_Info.BasijFal;


                db.P_Infos.Add(p_Info);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            //ViewBag.ID = new SelectList(db.Users, "ID", "Lname", p_Info.ID);
            return View(p_Info);
        }

        // GET: P_Info/Edit/5
        public virtual ActionResult Edit(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            P_Info p_Info = db.P_Infos.Find(id);
            if (p_Info == null)
            {
                return HttpNotFound();
            }
            //ViewBag.ID = new SelectList(db.Users, "ID", "Lname", p_Info.ID);
            return View(p_Info);
        }

        // POST: P_Info/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public virtual ActionResult Edit([Bind(Include = "ID,Lname,Fname,FaName,BDate,T_Ostan,T_Shahrestan,T_Bakhsh,ShSh,S_Ostan,S_Shahrestan,S_Bakhsh,Jensiat,Din,Tahol,Email,Fax,Mobile,Tell,Code,NezamVazife,Razmandeh,ModatJebhe,Azadeh,ModatJebheGh,Janbaz,MizanJanbazi,ModatEsarat,Shahid,TedadShahid,BasijFal,NesbatShahid")] P_Info p_Info)
        {
            if (ModelState.IsValid)
            {
                db.Entry(p_Info).State = EntityState.Modified;
                p_Info.ShMeli = db.Users.FirstOrDefault(u => u.UserName == User.Identity.Name).UserName;
                p_Info.ModatJebhe = p_Info.ModatJebhe == null ? 0 : p_Info.ModatJebhe;
                p_Info.ModatJebheGh = p_Info.ModatJebheGh == null ? 0 : p_Info.ModatJebheGh;
                p_Info.MizanJanbazi = p_Info.MizanJanbazi == null ? 0 : p_Info.MizanJanbazi;
                p_Info.ModatEsarat = p_Info.ModatEsarat == null ? 0 : p_Info.ModatEsarat;
                p_Info.TedadShahid = p_Info.TedadShahid == null ? 0 : p_Info.TedadShahid;
                p_Info.BasijFal = p_Info.BasijFal == null ? 0 : p_Info.BasijFal;

                db.SaveChanges();
                return RedirectToAction("Index");
            }
            //ViewBag.ID = new SelectList(db.Users, "ID", "Lname", p_Info.ID);
            return View(p_Info);
        }

        // GET: P_Info/Delete/5
        public virtual ActionResult Delete(long? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            P_Info p_Info = db.P_Infos.Find(id);
            if (p_Info == null)
            {
                return HttpNotFound();
            }
            return View(p_Info);
        }

        // POST: P_Info/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public virtual ActionResult DeleteConfirmed(long id)
        {
            P_Info p_Info = db.P_Infos.Find(id);
            db.P_Infos.Remove(p_Info);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

Manager/Views/P_Info/Create.cshtml
@model DomainClass.P_Info

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}
<h4>ثبت اطلاعات شخصی</h4>
<hr />

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @*<div class="form-group">
            @Html.LabelFor(model => model.ID, "ID", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("ID", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.ID, "", new { @class = "text-danger" })
            </div>
        </div>*@

    <div class="form-group">
        @Html.LabelFor(model => model.Lname, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Lname, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Lname, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Fname, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.Fname, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Fname, "", new { @class = "text-danger" })
        </div>
    </div>

    @*<div class="form-group">
        @Html.LabelFor(model => model.ShMeli, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.ShMeli, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ShMeli, "", new { @class = "text-danger" })
        </div>
    </div>*@

    <div class="form-group">
        @Html.LabelFor(model => model.FaName, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.FaName, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.FaName, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.BDate, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.BDate, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.BDate, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.T_Ostan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.T_Ostan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.T_Ostan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.T_Shahrestan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.T_Shahrestan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.T_Shahrestan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.T_Bakhsh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.T_Bakhsh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.T_Bakhsh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.ShSh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ShSh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ShSh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.S_Ostan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.S_Ostan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.S_Ostan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.S_Shahrestan, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.S_Shahrestan, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.S_Shahrestan, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.S_Bakhsh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.S_Bakhsh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.S_Bakhsh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Jensiat, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.Jensiat, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Jensiat, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Din, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Din, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Din, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Tahol, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.Tahol, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Tahol, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-5">
            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Fax, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Fax, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Fax, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Mobile, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Mobile, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Mobile, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Tell, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Tell, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Tell, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Code, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.Code, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Code, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.NezamVazife, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.NezamVazife, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.NezamVazife, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Razmandeh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Razmandeh)
                @Html.ValidationMessageFor(model => model.Razmandeh, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.ModatJebhe, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ModatJebhe, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ModatJebhe, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="form-group">
        @Html.LabelFor(model => model.Azadeh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Azadeh)
                @Html.ValidationMessageFor(model => model.Azadeh, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.ModatJebheGh, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ModatJebheGh, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ModatJebheGh, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Janbaz, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Janbaz)
                @Html.ValidationMessageFor(model => model.Janbaz, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.MizanJanbazi, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.MizanJanbazi, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.MizanJanbazi, "", new { @class = "text-danger" })
        </div>
    </div>


    <div class="form-group">
        @Html.LabelFor(model => model.ModatEsarat, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.ModatEsarat, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.ModatEsarat, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Shahid, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            <div class="checkbox">
                @Html.EditorFor(model => model.Shahid)
                @Html.ValidationMessageFor(model => model.Shahid, "", new { @class = "text-danger" })
            </div>
        </div>
        @Html.LabelFor(model => model.TedadShahid, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.TedadShahid, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.TedadShahid, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.BasijFal, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-2">
            @Html.EditorFor(model => model.BasijFal, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.BasijFal, "", new { @class = "text-danger" })
        </div>
        @Html.LabelFor(model => model.NesbatShahid, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-3">
            @Html.EnumDropDownListFor(model => model.NesbatShahid, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.NesbatShahid, "", new { @class = "text-danger" })
        </div>
    </div>

    <hr />

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="ثبت اطلاعات" class="btn btn-primary" />
            @Html.ActionLink("بازگشت", "Index", "P_Info", new { @class = "btn btn-danger" })
        </div>
    </div>
</div>
}

Manager/Views/P_Info/Delete.cshtml
@model DomainClass.P_Info

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>حذف اطلاعات شخصی</h4>

<h4>آیا برای حذف اطلاعات اطمینان دارید؟</h4>
<hr />
<div>
    <dl class="dl-horizontal">
        <dt>
            شماره ملی
            @*@Html.DisplayNameFor(model => model.User.UserName)*@
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.UserName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Lname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Lname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FaName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FaName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.BDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.BDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ShSh)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ShSh)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Jensiat)
        </dt>

        <dd>
            @*            @Html.DisplayFor(model => model.Jensiat)*@
            @Html.EnumDisplay(Model.Jensiat)
        </dd>


    </dl>
    <hr />

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="حذف اطلاعات" class="btn btn-danger" /> |
            @Html.ActionLink("بازگشت", "Index", "P_Info", new { @class = "btn btn-warning" })
        </div>
    }
</div>

Manager/Views/P_Info/Index.cshtml
@model IEnumerable<DomainClass.P_Info>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>اطلاعات شخصی</h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", MVC.P_Info.Create(), new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>
            شماره ملی
            @Html.DisplayNameFor(model => model.User.UserName)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Lname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Fname)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ShMeli)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FaName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ShSh)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Jensiat)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Lname)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Fname)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ShMeli)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.FaName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.BDate)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ShSh)
        </td>
        <td>
            @Html.EnumDisplay(item.Jensiat)
            @*@Html.DisplayFor(modelItem => item.Jensiat)*@
        </td>
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>